library (dplyr)

#SFB contacts

subject1 = "data management in neuroscience: standards and workflow"
text1 ="
I have started to work as a data curator for the SFB1315 in April this year. Our SFB members are studying memory consolidation, using animal models (fruit fly or rodents) or human patients. Half of my work is dedicated to create tools to foster ideas and data dissemination inside the SFB* and the other half is to foster research data management and Open FAIR data. 

For this latter part, I will be actively participating in the NFDI-neuro network as it seems to be the perfect opportunity to share my issues and look for community-driven solutions (https://nfdi-neuro.de/). On the other hand, if you think there are data issues** that would be better tackled outside the NFDI-neuro, I would be happy to discuss them directly with you. 

I would be happy to know about your data management practices, get your feedback and/or discuss this further. In particular, I will send a separate email concerning teaching open data skills at the SFB level.

Dr. Julien Colomb
Data curator- SFB1315, AG Larkum,
CCO, room 02 211
Virschowweg 6, 
10117 Berlin

#openscience #neuroscience #rdm
https://orcid.org/0000-0002-3127-5520
Trainer at access2perspectives.com


*
 In collaboration with the sourcedata team in Heidelberg, we are developing a result gallery application, to foster figure and data sharing as soon as possilble in the research process. For details and updates, see https://github.com/smartfigures-dar/Project_description/blob/master/README.md

**
  In practice, and as examples, I started to work (prior of the NFDI invitation) on particular issues : 
- Open standard in describing animals in animal studies: https://github.com/jcolomb/Description-of-Rodents-in-Scientific-Publications
- Microscope data: workflow and data format for archiving (see https://librarycarpentry.org/Top-10-FAIR/2019/06/27/imaging/)
- NWB/BIDS standard: use and implementation (see https://www.nwb.org, https://bids.neuroimaging.io)"

subject2 = "Data management in neuroscience: Training"
text2 = '
Before I started my part-time work as data curator at the SFB1315, I have been working as a free-lance trainer. I would like to present our offers concerning data management training, as promised in my previous email.

Indeed, while research data management and open FAIR data is becoming a major topic of funding infrastructures, the opportunities for researchers to get domain-specific and practical training on these novel topics and skills is still very limited. It is particularly problematic for SFBs, where online collaborative work is particularly encouraged and required. 

Within the Access 2 Perspectives professional network of independent trainers, we have developed a 2-days workshop on Open Science with a specific focus on data literacy, open FAIR data and collaborative working (see this blog). The workshop was developed with a neuroscience background and put particular focus on collaborative working, we therefore think it might be of particular interest for neuroscience SFBs.

In addition, we believe that social interaction between the researchers will foster long-term active and fruitful collaboration. We have therefore been developing a novel concept of training experience: the “surf and science” retreat. As presented in the attached document, this one week retreat combines work in a group and trainer input with self-paced practical work and team building activities, in a remote and relaxed atmosphere on Rügen.


We hope we could raise your interest and are looking forward to read from you,

Access 2 Perspectives
Open Science Communication and International Affairs
https://access2perspectives.com

Julien Colomb, PhD, Trainer and data curator
Johanna Havemann, PhD, Trainer and consultant'

SFBcontact = data.frame(email="julien.colomb@fu-berlin.de", name= "colomb", sfb="sfb1315-self")
library(readr)
SFBcontact <- read_delim("neurosfb_no1315.tsv", 
                              "\t", escape_double = FALSE, trim_ws = TRUE)
SFBcontact$contact1
SFBcontact <- SFBcontact %>% filter (contact1 != "y")
text_2= ""
for (i in c(1:nrow(SFBcontact))) {
  text =paste0("<a href='mailto:",
               SFBcontact$spokesman_email[i],
               "?cc=",
               SFBcontact$teaching_email[i],
               "&subject=",
               subject1,
               "&body=Dear Prof. ",
               SFBcontact$spokesman_lastname[i],
               ", Dear ",SFBcontact$teaching_name[i],
               ",%0D%0A",
               gsub('&NewLine;','%0D%0A',textutils::HTMLencode(text1)),
               ", '> ",i,SFBcontact$SFBnumber[i]," </a> <br>")
  text_2 = paste0 (text_2, text, collapse = "%0D%0A")
}




#fileConn<-file("sfb1.html")
#writeLines(c(text_2), fileConn)
#close(fileConn)


library(readr)
SFBcontact <- read_delim("neurosfb_no1315.tsv", 
                         "\t", escape_double = FALSE, trim_ws = TRUE)

text_3= ""
for (i in c(1:nrow(SFBcontact))) {
  text =paste0("<a href='mailto:",
               SFBcontact$spokesman_email[i],
               "?cc=",
               SFBcontact$teaching_email[i],
               ",info@access2perspectives.com&subject=",
               subject2,
               "&body=Dear Prof. ",
               SFBcontact$spokesman_lastname[i],
               ", Dear ",SFBcontact$teaching_name[i],
               ",%0D%0A",
               gsub('&NewLine;','%0D%0A',textutils::HTMLencode(text2)),
               " '> ",i,SFBcontact$SFBnumber[i]," </a> <br>")
  text_3 = paste0 (text_3, text, collapse = "%0D%0A")
}

fileConn<-file("sfb2.html")
writeLines(c(text_3), fileConn)
close(fileConn)

